﻿BEGIN
	DECLARE
		licCount NUMBER;
		backupTableCount NUMBER;
	BEGIN
		SELECT COUNT(*) INTO licCount FROM "SysLic";
		IF (licCount = 0) THEN
			RETURN;
		END IF;

		SELECT COUNT(*) INTO backupTableCount FROM USER_TABLES WHERE TABLE_NAME = 'TimelinePageSetting_backup';
		IF (backupTableCount = 0) THEN
			RETURN;
		END IF;

		EXECUTE IMMEDIATE 
			'UPDATE "TimelinePageSetting" tps
			SET tps."Data" = (SELECT "Data" FROM "TimelinePageSetting_backup" tps_b WHERE tps_b."Key" = tps."Key")
			WHERE tps."Key" IN (SELECT "Key" FROM "TimelinePageSetting_backup")';
	
		EXECUTE IMMEDIATE 
			'INSERT INTO "TimelinePageSetting" SELECT * FROM "TimelinePageSetting_backup" tps_b WHERE tps_b."Key" NOT IN (SELECT "Key" FROM "TimelinePageSetting")';

		EXECUTE IMMEDIATE 'DROP TABLE "TimelinePageSetting_backup"';
	END;
END;
